Subject: bug#40676: 28.0.50; gnus locks when reading email

From: "Basil L. Contovounesios" <[email-masked]>
Date: Fri, 17 Apr 2020 12:51:26 +0100

reassign 40676 emacs,gnus
quit

Alex Branham <[email-masked]> writes:

> gnus locks when reading email (when trying to display the message
> contents) and asks me:
>
> Buffer " *temp*" has a running process; kill it? (y or n) y
>
> This seems to happen independently of backend, as I use nnimap and nntp.
> It also happens when reading through debbugs-gnu.
>
> Specifically, to reproduce, I do:
>
> M-x gnus
> RET (this opens an inbox)
> RET (this tries to open an email)

I can't reproduce this from 'emacs -Q'; could some element of your
configuration be giving rise to this?  Can you try reproducing the
problem from 'emacs -Q'?  Here's what I tried:

0. HOME=$(mktemp -d) emacs -Q
1. (setq gnus-select-method '(nntp "news.gwene.org")) C-x C-e
2. M-x gnus RET
3. ^ C-s gwene RET RET (browse gwene groups)
4. C-s gmane.emacs.devel RET (search for emacs-devel group)
5. u q q (subscribe and return to Group buffer)
6. RET 10 RET RET (select first out of 10 latest articles)

Thanks,

-- 
Basil

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.16.0, Xaw3d scroll bars) of 2020-04-16 built on thunk